Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DistributedNodeAI Class Reference
Inheritance diagram for DistributedNodeAI:

## Public Member Functions
| __init__ (self, air, name=None)
| b_setParent (self, parentToken)
| setParent ###
| b_setPosHpr (self, x, y, z, h, p, r)
| b_setXYZH (self, x, y, z, h)
| d_setH (self, h)
| d_setHpr (self, h, p, r)
| d_setP (self, p)
| d_setParent (self, parentToken)
| d_setPos (self, x, y, z)
| d_setPosHpr (self, x, y, z, h, p, r)
| d_setR (self, r)
| d_setX (self, x)
| set pos and hpr functions #######
| d_setXY (self, x, y)
| d_setXYH (self, x, y, h)
| d_setXYZH (self, x, y, z, h)
| d_setY (self, y)
| d_setZ (self, z)
| delete (self)
| do_setParent (self, parentToken)
| getXYZH (self)
| setLocation (self, parentId, zoneId, teleport=0)
| setParent (self, parentToken)
| setParentStr (self, parentToken)
| setXY (self, x, y)
| setXYH (self, x, y, h)
| setXYZH (self, x, y, z, h)
Public Member Functions inherited from DistributedObjectAI
| __init__ (self, air)
| announceGenerate (self)
| b_setLocation (self, parentId, zoneId)
| beginBarrier (self, name, avIds, timeout, callback)
| d_setLocation (self, parentId, zoneId)
| deleteOrDelay (self)
| execCommand (self, string, mwMgrId, avId, zoneId)
| generate (self)
| generateInit (self, repository=None)
| generateOtpObject (self, parentId, zoneId, optionalFields=[], doId=None)
| generateTargetChannel (self, repository)
| generateWithRequired (self, zoneId, optionalFields=[])
| generateWithRequiredAndId (self, doId, parentId, zoneId, optionalFields=[])
| GetAccountConnectionChannel (self, doId)
| GetAccountIDFromChannelCode (self, channel)
| GetAvatarIDFromChannelCode (self, channel)
| getBarrierData (self)
| getCacheable (self)
| getCollTrav (self, *args, **kArgs)
| getDelayDeleteCount (self)
| getDeleteEvent (self)
| getDoId (self)
| getLocation (self)
| getLogicalZoneChangeEvent (self)
| getNonCollidableParent (self)
| getParentMgr (self)
| GetPuppetConnectionChannel (self, doId)
| getRender (self)
| getZoneChangeEvent (self)
| getZoneData (self)
| handleLogicalZoneChange (self, newZoneId, oldZoneId)
| ignoreBarrier (self, context)
| initFromServerResponse (self, valDict)
| isDeleted (self)
| isGenerated (self)
| isGridParent (self)
| postGenerateMessage (self)
| preAllocateDoId (self)
| releaseZoneData (self)
| requestDelete (self)
| sendDeleteEvent (self)
| sendGenerateWithRequired (self, repository, parentId, zoneId, optionalFields=[])
| sendMessageBundle (self)
| sendUpdate (self, fieldName, args=[])
| sendUpdateToAccountId (self, accountId, fieldName, args)
| sendUpdateToAvatarId (self, avId, fieldName, args)
| sendUpdateToChannel (self, channelId, fieldName, args)
| setAI (self, aiChannel)
| setBarrierReady (self, context)
| startMessageBundle (self, name)
| status (self, indent=0)
| taskName (self, taskString)
| uniqueName (self, idString)
| updateAllRequiredFields (self, dclass, di)
| updateAllRequiredOtherFields (self, dclass, di)
| updateRequiredFields (self, dclass, di)
| updateRequiredOtherFields (self, dclass, di)
| validate (self, avId, bool, msg)
Public Member Functions inherited from DistributedObjectBase
| __init__ (self, cr)
| getParentObj (self)
| handleChildArrive (self, childObj, zoneId)
| handleChildArriveZone (self, childObj, zoneId)
| handleChildLeave (self, childObj, zoneId)
| handleChildLeaveZone (self, childObj, zoneId)
| handleQueryObjectChildrenLocalDone (self, context)
| hasParentingRules (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
int | DistributedNodeAI_initialized = 1
| gridParent = None
Public Attributes inherited from DistributedObjectAI
str | accountName = ''
| air = air
| Asad: As per Roger's suggestion, turn off the following block until a solution is thought out of how to prevent this delete message or to handle this message better TODO: do we still need this check?
| dclass = self.air.dclassesByName[className]
int | DistributedObjectAI_initialized = 1
| lastNonQuietZone = None
Public Attributes inherited from DistributedObjectBase
| cr = cr
| doId
int | parentId = None
| zoneId = None

## Additional Inherited Members
Static Public Member Functions inherited from DistributedObjectAI
| staticGetLogicalZoneChangeEvent (doId)
| staticGetZoneChangeEvent (doId)
Static Public Attributes inherited from DistributedObjectAI
int | QuietZone = 1
Static Public Attributes inherited from DistributedObjectBase
| notify = directNotify.newCategory("DistributedObjectBase")
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DistributedObjectAI
| _retrieveCachedData (self)
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DistributedObjectAI
bool | _DOAI_requestedDelete = False
| _zoneData = None
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | air,
|  |  | name = None )

## Member Function Documentation

## ◆ b_setParent()

b_setParent | ( |  | self,
|  |  | parentToken )

setParent ###

## ◆ b_setPosHpr()

b_setPosHpr | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h,
|  |  | p,
|  |  | r )

## ◆ b_setXYZH()

b_setXYZH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h )

## ◆ d_setH()

d_setH | ( |  | self,
|  |  | h )

## ◆ d_setHpr()

d_setHpr | ( |  | self,
|  |  | h,
|  |  | p,
|  |  | r )

## ◆ d_setP()

d_setP | ( |  | self,
|  |  | p )

## ◆ d_setParent()

d_setParent | ( |  | self,
|  |  | parentToken )

## ◆ d_setPos()

d_setPos | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z )

## ◆ d_setPosHpr()

d_setPosHpr | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h,
|  |  | p,
|  |  | r )

## ◆ d_setR()

d_setR | ( |  | self,
|  |  | r )

## ◆ d_setX()

d_setX | ( |  | self,
|  |  | x )

set pos and hpr functions #######

## ◆ d_setXY()

d_setXY | ( |  | self,
|  |  | x,
|  |  | y )

## ◆ d_setXYH()

d_setXYH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | h )

## ◆ d_setXYZH()

d_setXYZH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h )

## ◆ d_setY()

d_setY | ( |  | self,
|  |  | y )

## ◆ d_setZ()

d_setZ | ( |  | self,
|  |  | z )

## ◆ delete()

delete | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on delete
    Note that this may be called multiple times if a class inherits
    from DistributedObjectAI more than once.

Reimplemented from DistributedObjectAI.

Reimplemented in DistributedCartesianGridAI, and DistributedSmoothNodeAI.

## ◆ do_setParent()

do_setParent | ( |  | self,
|  |  | parentToken )

## ◆ getXYZH()

getXYZH | ( |  | self | ) |

## ◆ setLocation()

setLocation | ( |  | self,
|  |  | parentId,
|  |  | zoneId,
|  |  | teleport = 0 )

Reimplemented from DistributedObjectAI.

## ◆ setParent()

setParent | ( |  | self,
|  |  | parentToken )

## ◆ setParentStr()

setParentStr | ( |  | self,
|  |  | parentToken )

## ◆ setXY()

setXY | ( |  | self,
|  |  | x,
|  |  | y )

## ◆ setXYH()

setXYH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | h )

## ◆ setXYZH()

setXYZH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h )

## Member Data Documentation

## ◆ DistributedNodeAI_initialized

int DistributedNodeAI_initialized = 1

## ◆ gridParent

gridParent = None